#define _CRT_SECURE_NO_DEPRECATE
#include <iostream>
#include <algorithm>


typedef long long ll;


using namespace std;


#define TASK "video"


bool d[305];


int main() {
#ifdef _DEBUG
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#else
	//freopen(TASK".in", "r", stdin);
	//freopen(TASK".out", "w", stdout);
#endif // _DEBUG

	int n;
	cin >> n;
	int a;
	int k;
	cout << "1 " << n << endl;
	cin >> k;
	for (int i = 1; i < n; i++) {
		cout << "? " << i << ' ' << i + 1 << endl;
		cin >> a;
		if (a == 2) {
			d[i] = 0;
		}
		else {
			d[i] = 1;
		}
	}
	cout << "Ready!\n";
	cout << k << '\n';
	bool tc = 0;
	for (int i = 0; i < n; i++) {
		if (!d[i]) {
			tc = !tc;
		}
		cout << int(tc) + 1 << ' ';
	}
	cout << endl;
#ifdef _DEBUG
	system("pause");
#endif // _DEBUG

}